Subject: z suffix
From: Sam Geeraerts <[email-masked]>
To: [email-masked]
Date: Sun, 10 Aug 2014 15:58:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I would like to point out a bug that has already been reported last
year [1].

Observed behaviour:

$ echo foo > test
$ gzip --suffix z test
$ ls testz
testz
$ gzip -d --suffix z testz
gzip: testz: unknown suffix -- ignored

Expected behaviour:

$ gzip -d --suffix z testz
$ ls test
test

From the comment in function get_suffix I gather that the "z" suffix is
overlooked in the sequence of suffixes to try. I've attached a patch
that makes it work for me.

[1] http://lists.gnu.org/archive/html/bug-gzip/2013-07/msg00012.html

Kind regards,
Sam